Subject: [Sip] WGLC for draft-ietf-sip-fork-loop-fix-01.txt

From: Dean Willis <[email-masked]>
Date: Mon, 10 Apr 2006 15:15:46 -0500

I'd like to ask the working group to review the "forking loop fix"  
draft preparatory to requesting publication of it as a standards- 
track RFC.

The document revised following the Dallas meeting document is  
available from:

http://www.ietf.org/internet-drafts/draft-ietf-sip-fork-loop-fix-01.txt

I'd like to complete this review by May 7, 2006.

Please send all comments to the list and copy the author,  
[email-masked]

--
Dean

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Christer Holmberg \(JO/LMF\)" <[email-masked]>
Date: Thu, 20 Apr 2006 10:25:41 +0200

Hi Robert, 

>I don't have a problem with that.

Sorry, I noted it was Jonathan who didn't like it :)

>If I were to have any problem at all, it would be in the redundancy
with what the spec language means anyhow.
>
>I'll throw a small monkey wrench into this. We're finding at SIPit
(again)
>that the text for loop detection in 3261 is nigh-unimplementable.
People who are trying to follow it for the first time are creating code
that just does 
>not work. It is far from a concise description of an algorithm, and
some of its recommendations are wrong. (For instance, inclusion of the
topmost Via in 
>the hash always produces a miss even if there is a loop).
>
>Several of the participants here will be summarizing the problems they
have with this text over the next few weeks. I will be offline for a
couple of 
>weeks starting this weekend - when I return I'll compile their input
and see if we can provide a clear description of how to do this loop
detection.
>
>I'll also note that these participants  find the algorithm in  stack-
loop-detect clear and plan to implement it and send comparative
performance numbers 
>over what they have that reflects what 3261 says modified to actually
work.

So, what you are saying is: not only shall the draft say that people
MUST use a loop detection mechanism (the one in 3261, and/or other
standardized mechanism), the draft shall also CLARIFY the existing 3261
mechanism?

Regards,

Christer

On 20-Apr-06, at 4:50 PM, Christer Holmberg ((JO/LMF)) wrote:

>
>> Do you mean "EVEN if other standardized mechanisms exist?"
>
> Yes.
>
>> If so, no - that's not what we're trying to say.
>
> Then, what is the problem with the text I proposed earlier:
>
> "RFC 3261 defines a mechanism in chapter x.x.x.. Other standardized 
> mechansims for loop detecting MAY be used instead, or in addition, To 
> the one defined in RFC 3261.".
>
> Regards,
>
> Christer
>
>
>
>
>
>
> On 20-Apr-06, at 4:05 PM, Christer Holmberg ((JO/LMF)) wrote:
>
>>
>> Hi Robert,
>>
>> What you say is pretty much what I said in my proposed text (see 
>> below), that a proxy "MUST ensure, using a standards lopp detection 
>> mechanism, that a request is not looping through this proxy.".
>>
>> After that I said that one mechanism is defined in RFC3261, but other

>> mechanisms can also be used. The reason for that was that the text 
>> would be "valid" also after other mechanisms have been defined.
>>
>> Do we want to say that a proxy SHOULD use the 3261 mechanism, EVEN if

>> other mechanims exist?
>>
>> Regards,
>>
>> Christer
>>
>>
>>
>>
>>
>>
>> -----Original Message-----
>> From: Robert Sparks [mailto:[email-masked]]
>> Sent: 20. huhtikuuta 2006 9:57
>> To: Christer Holmberg (JO/LMF)
>> Cc: Jonathan Rosenberg; [email-masked]; Robert Sparks; Keith Drage; 
>> Dean
>
>> Willis
>> Subject: Re: [Sip] WGLC for draft-ietf-sip-fork-loop-fix-01.txt
>>
>> How do you get that from this conversation?
>>
>> What we want to say is you MUST perform loop detection if you are 
>> forking to locations that might loop. You SHOULD use the 3261 
>> algorithm to do this detection.
>>
>> That's stronger and more specific than simply saying you SHOULD use
>> 3261 loop detection in
>> a vacuum.
>>
>> RjS
>>
>> On 20-Apr-06, at 2:43 PM, Christer Holmberg ((JO/LMF)) wrote:
>>
>>>
>>> Hi,
>>>
>>> So, all we want to say with this draft is: "You SHOULD implement 
>>> this
>
>>> optional RFC3261 feature"?
>>>
>>> Regards,
>>>
>>> Christer
>>>
>>>
>>> -----Original Message-----
>>> From: Jonathan Rosenberg [mailto:[email-masked]]
>>> Sent: 12. huhtikuuta 2006 18:11
>>> To: Christer Holmberg (JO/LMF)
>>> Cc: Robert Sparks; [email-masked]; Robert Sparks; Keith Drage; Dean 
>>> Willis
>>> Subject: Re: [Sip] WGLC for draft-ietf-sip-fork-loop-fix-01.txt
>>>
>>>
>>>
>>> Christer Holmberg (JO/LMF) wrote:
>>>
>>>
>>>> So, maybe you could say: "MUST ensure, using a standards lopp 
>>>> detection mechanism, that a request is not looping through this 
>>>> proxy.
>>>
>>>> RFC 3261 defines a mechanism in chapter x.x.x.. Other standardized 
>>>> mechansims for loop detecting MAY be used instead, or in addition, 
>>>> to
>>
>>>> the one defined in RFC 3261.".
>>>>
>>>> Or something like that...
>>>
>>> I don't like that wording. I think its important to give clear 
>>> guidance on what an implementor should do. The clear guidance is to 
>>> implement the loop detection mechanism in RFC3261.
>>>
>>> -Jonathan R.
>>>
>>>
>>> -- 
>>> Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
>>> Cisco Fellow                                   Parsippany, NJ
>>> 07054-2711
>>> Cisco Systems
>>> [email-masked]                              FAX:   (973) 952-5050
>>> http://www.jdrosen.net                         PHONE: (973) 952-5000
>>> http://www.cisco.com
>>
>